# Access and Customize ICESat-2 Data Tutorial

## Presenter

Amy Steiker, National Snow and Ice Data Center Distributed Active Archive Center (NSIDC DAAC)

## Authors

Amy Steiker, National Snow and Ice Data Center Distributed Active Archive Center (NSIDC DAAC) </br>
Bruce Wallin, National Snow and Ice Data Center Distributed Active Archive Center (NSIDC DAAC)

## Summary

This tutorial will walk you though how to access ICESat-2 data at the NASA National Snow and Ice Data Center Distributed Active Archive Center (NSIDC DAAC) using spatial and temporal filters, as well as how to request customization services including subsetting and reformatting using an Application Programming Interface, or API. The tutorial includes an example KML of Pine Island Glacier that will be used to filter and subset against when requesting "ATLAS/ICESat-2 L3A Land Ice Height, Version 001" (ATL06) data. 

## Key Learning Objectives

1. Become familiar with NSIDC resources, including user support documents and data access options
2. Become familiar with the ICESat-2 customization services provided by NSIDC, including subsetting and reformatting
3. Learn how to build a data access request using NSIDC's Application Programming Interface (API).
