Correcting ICESat-2 data and related applications
-------------------------------------------------

Instructors: Maya Becker (m3becker@ucsd.edu) and Susheel Adusumilli (suadusum@ucsd.edu)

## Tutorials:

Part 1: Application of geophysical corrections over ice shelves   
Part 2: Derivation of ice-shelf height changes and conversion to mass changes

## Learning objectives:

- Establish an understanding of which geophysical corrections are suitable in which scenarios
- Recognize limitations of geophysical corrections attached to ICESat-2 data products as well as external model outputs over Antarctic ice shelves
- Mask grounded ice so as to focus on floating ice shelves, with the ability to extend this technique to other surfaces/terrains)
- Load atmospheric products in NetCDF format to generate firn corrections
- Convert height observations to ice-shelf thickness after applying the relevant corrections to ATL06 data over an ice-shelf area, 
- Estimate mass change from time series of ice-shelf height changes
